# CyclesCurveRenderSettings(PropertyGroup)

base classes — `bpy_struct`, `PropertyGroup`

class `bpy.types.``CyclesCurveRenderSettings`(PropertyGroup)
  `cull_backfacing`

    Do not test the back-face of each strand

    Type: | boolean, default True

  `maximum_width`

    Maximum extension that strand radius can be increased by

    Type: | float in [0, 100], default 0.1

  `minimum_width`

    Minimal pixel width for strands (0 - deactivated)

    Type: | float in [0, 100], default 0.0

  `primitive`

    Type of primitive used for hair rendering

    - `TRIANGLES` Triangles, Create triangle geometry around strands.
    - `LINE_SEGMENTS` Line Segments, Use line segment primitives.
    - `CURVE_SEGMENTS` Curve Segments, Use segmented cardinal curve primitives.

    Type: | enum in [‘TRIANGLES’, ‘LINE_SEGMENTS’, ‘CURVE_SEGMENTS’], default ‘LINE_SEGMENTS’

  `resolution`

    Resolution of generated mesh

    Type: | int in [3, 64], default 3

  `shape`

    Form of hair

    - `RIBBONS` Ribbons, Ignore thickness of each strand.
    - `THICK` Thick, Use thickness of strand when rendering.

    Type: | enum in [‘RIBBONS’, ‘THICK’], default ‘THICK’

  `subdivisions`

    Number of subdivisions used in Cardinal curve intersection (power of 2)

    Type: | int in [0, 24], default 4

  `use_curves`

    Activate Cycles hair rendering for particle system

    Type: | boolean, default True

Inherited Properties

`bpy_struct.id_data` | `PropertyGroup.name`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Scene.cycles_curves` |